<template>
  <div class="traffic2">
    <div class="content">
      <div id="vehicle"></div>
      <div id="ship"></div>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      leftChart: null,
      rightChart: null,
    };
  },
  //方法集合
  methods: {
    async drawLine() {
      // 基于准备好的dom，初始化echarts实例
      this.leftChart = this.$echarts.init(document.getElementById("vehicle"));
      this.rightChart = this.$echarts.init(document.getElementById("ship"));

      const { data: dt } = await this.$http.get(
        "/jeecg-boot/traffic/traffic/queryall"
      );

      var value1 = [];
      var value2 = [];
      for (var i = 0; i < dt.result.length; i++) {
        if (
          dt.result[i].name == "车辆" ||
          dt.result[i].name == "货车" ||
          dt.result[i].name == "包车" ||
          dt.result[i].name == "班车" ||
          dt.result[i].name == "危险品车" ||
          dt.result[i].name == "旅游车"
        ) {
          value1.push(dt.result[i]);
        } else if (
          dt.result[i].name == "船舶总数" ||
          dt.result[i].name == "散货船" ||
          dt.result[i].name == "集装箱船" ||
          dt.result[i].name == "普通货轮"
        ) {
          value2.push(dt.result[i]);
        }
      }

      // // 绘制图表
      //
      // rightChart.setOption(this.shipoption);
      this.enterpriseoption(value1);
      this.shippingoption(value2);
    },
    enterpriseoption(result) {
      var item1 = "";
      var item2 = [];
      for (var i in result) {
        if (result[i].name == "车辆") {
          var value1 = result[i].name + result[i].value;
          item1 += value1;
        } else {
          item2.push({ value: result[i].value, name: result[i].name });
        }
      }
      var vehicleoption = {
        baseOption: {
          //标题
          title: {
            top: "5%",
            text: item1,

            left: "center",
            textStyle: {
              color: "#fff",
              fontSize: 25,
            },
          },

          //提示框
          tooltip: {
            trigger: "item",
            // 提示框浮层内容格式器 {a}（系列名称），{b}（数据项名称，{c}（数值, {d}（百分比）
            formatter: "{a} <br/>{b} : {c} ({d}%)",
          },
          legend: {
            // orient: "vertical",
            orient: "horizontal",
            left: "center",
            bottom: "5%",
            textStyle: {
              fontSize: 15, //字体大小
              color: "#ffffff", //字体颜色
            },
          },
          //标签
          label: {
            show: true,
            formatter: "{b} \n {d}%",
            fontSize: 20,
          },

          //标签线
          labelLine: {
            normal: {
              show: true,
            },
          },

          series: [
            {
              name: "工业企业比例",
              type: "pie",
              center: ["50%", "50%"],
              radius: "50%",
              data: item2,
              color: [
                "#c487ee",
                "#deb140",
                "#49dff0",
                "#034079",
                "#6f81da",
                "#00ffb4",
              ],
              itemStyle: {
                emphasis: {
                  shadowBlur: 10,
                  shadowOffsetX: 0,
                  shadowColor: "rgba(0, 0, 0, 0.5)",
                },
              },
            },
          ],
        },
        //媒体查询
        media: [
          {
            query: {
              minWidth: 550,
            },
            option: {
              title: {
                textStyle: {
                  fontSize: 20,
                },
              },
              legend: {
                orient: "vertical",
                left: "left",
                top: "20%",
                textStyle: {
                  color: "#fff",
                  fontSize: 10,
                },
              },
              series: [
                {
                  center: ["50%", "50%"],
                  radius: "45%",
                  label: {
                    fontSize: 15,
                  },
                },
              ],
            },
          },
        ],
      };
      this.leftChart.setOption(vehicleoption);
    },
    shippingoption(result) {
      var item1 = "";
      var item2 = [];
      for (var i in result) {
        if (result[i].name == "船舶总数") {
          var value1 = result[i].name + result[i].value;
          item1 += value1;
        } else {
          item2.push({ value: result[i].value, name: result[i].name });
        }
      }
      var shipoption = {
        baseOption: {
          //标题
          title: {
            top: "5%",
            text: item1,

            left: "center",
            textStyle: {
              color: "#fff",
              fontSize: 30,
            },
          },
          //提示框
          tooltip: {
            trigger: "item",
            // 提示框浮层内容格式器 {a}（系列名称），{b}（数据项名称，{c}（数值, {d}（百分比）
            formatter: "{a} <br/>{b} : {c} ({d}%)",
          },
          legend: {
            // orient: "vertical",
            orient: "horizontal",
            left: "center",
            bottom: "5%",
            textStyle: {
              fontSize: 15, //字体大小
              color: "#ffffff", //字体颜色
            },
          },
          //标签
          label: {
            show: true,
            formatter: "{b} \n {d}%",
            fontSize: 20,
          },
          //标签线
          labelLine: {
            normal: {
              show: true,
            },
          },
          series: [
            {
              name: "工业企业比例",
              type: "pie",
              center: ["50%", "50%"],
              radius: "50%",
              data: item2,
              color: ["#007BEF", "#00EF7C", "#3156E3"],
              itemStyle: {
                emphasis: {
                  shadowBlur: 10,
                  shadowOffsetX: 0,
                  shadowColor: "rgba(0, 0, 0, 0.5)",
                },
              },
            },
          ],
        },
        //媒体查询
        media: [
          {
            query: {
              minWidth: 550,
            },
            option: {
              title: {
                textStyle: {
                  fontSize: 20,
                },
              },
              legend: {
                orient: "vertical",
                left: "left",
                top: "20%",
                textStyle: {
                  color: "#fff",
                  fontSize: 10,
                },
              },
              series: [
                {
                  center: ["50%", "50%"],
                  radius: "45%",
                  label: {
                    fontSize: 15,
                  },
                },
              ],
            },
          },
        ],
      };
      this.rightChart.setOption(shipoption);
    },
  },
  mounted() {
    this.drawLine();
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.traffic2 {
  height: calc(50vh - 158px);
  background: rgba(8, 32, 58, 0.7);
  .content {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    #vehicle {
      width: 49%;
      height: 100%;
    }
    #ship {
      width: 49%;
      height: 100%;
    }
  }
}
@media only screen and (max-width: 2560px) {
  .traffic2 {
    height: auto;
    overflow: visible;
    background: transparent;
    .content {
      height: auto;

      #vehicle {
        width: 50%;
        height: 2400px;
      }
      #ship {
        width: 50%;
        height: 2400px;
      }
    }
  }
}
</style>
